Name:          myfaces-master
Version:       13
Release:       %mkrel 2
Summary:       Parent pom file for Apache MyFaces projects
License:       ASL 2.0
Group:         Development/Java
URL:           http://myfaces.apache.org/
# svn export http://svn.apache.org/repos/asf/myfaces/myfaces-master-pom/tags/myfaces-13
# tar czf myfaces-13-src-svn.tar.gz myfaces-13
Source0:       myfaces-13-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-logging
BuildRequires: checkstyle-rules >= 4
BuildRequires: maven
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-install-plugin

Requires:      apache-commons-logging
Requires:      maven

Requires:      jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The MyFaces project is home of the first free open source JavaServer Faces
implementation as well as some useful JSF component libraries and other
convenient JSF stuff.

This package contains the master pom file for myfaces projects.

%prep
%setup -q -n myfaces-%{version}

%build

mvn-rpmbuild install

%install

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-myfaces.pom
%add_maven_depmap JPP-myfaces.pom
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/myfaces

%files
%{_mavenpomdir}/JPP-myfaces.pom
%{_mavendepmapfragdir}/myfaces


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 13-2.mga3
+ Revision: 360570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 gil <gil> 13-1.mga3
+ Revision: 220087
- update to 13

* Tue Oct 18 2011 gil <gil> 10-1.mga2
+ Revision: 156369
- imported package myfaces-master

